import { ElementRef, OnInit, Renderer2, EventEmitter } from '@angular/core';
export interface CropResult {
    coordinates: {
        leftTopX: number;
        leftTopY: number;
        rightTopX: number;
        rightTopY: number;
        rightBottomX: number;
        rightBottomY: number;
        leftBottomX: number;
        leftBottomY: number;
    };
    scale: number;
}
export declare class CropperComponent implements OnInit {
    private renderer;
    imgRef: ElementRef;
    cropperRef: ElementRef;
    cropWidth: number;
    cropHeight: number;
    imageURL: string;
    uiChange: EventEmitter<CropResult>;
    imageOffsetX: number;
    imageOffsetY: number;
    scale: number;
    private proportion;
    private containerWidth;
    private containerHeight;
    private imageOriginWidth;
    private imageOriginHeight;
    private imageWidth;
    private imageHeight;
    private leftTopX;
    private leftTopY;
    private rightTopX;
    private rightTopY;
    private rightBottomX;
    private rightBottomY;
    private leftBottomX;
    private leftBottomY;
    private unbindWheelFn;
    private imgElement;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    init(): void;
    computeCoordinates(): void;
    moveImage(ev: MouseEvent): void;
    scaleImage(): void;
    cancelScale(): void;
}
